Subject: RE: DNS discovery

From: <[email-masked]>
Date: Wed, 12 Nov 2003 18:21:54 -0000

I'd like to second (or should that be third) this analysis, and that
posted earlier by Alain Durand. There *was* consensus to pick one
solution. I think given the current level of standardisation and
development, that solution has to be DHCPv6-lite.

Regards,

Mat

> -----Original Message-----
> From: Tim Chown [mailto:[email-masked]] 
> Sent: 12 November 2003 10:06
> To: [email-masked]
> Subject: Re: DNS discovery
> 
> On Wed, Nov 12, 2003 at 09:49:55AM +0900, [email-masked] wrote:
> > 
> > 	given that, my proposal is to pick dhcpv6-lite as the 
> default mechanism
> > 	to be used.  with reading the previous paragraph, could 
> those who
> > 	favors RA-based approach hum for dhcpv6-lite?
> 
> I think we had a 3:1 or better consensus that a single method 
> should be agreed upon now.  But it was a lot less than 3:1 
> that that should be DHCPv6-lite.
> 
> I feel the (multicast) RA-style method may have usage cases.  
> But we don't have the operational experience yet to know what 
> such cases may be (in preference to DHCPv6-lite), and while 
> RAs are well-defined, the method to carry DNS info in the RA 
> is not yet so (compared to DHCPv6-lite).
> 
> It seems the best way forward is to agree that DHCPv6-lite is 
> the method that implementors should proceed with now (some 
> already have) and we suck it and see.
> 
> That doesn't preclude:
> a) people continuing to define RA method and implement/test it
> b) future modification of dhcpv6-lite to multicast messages/responses
> c) future studies of how dhcpv6-lite and RA method can co-exist
> d) a future decision that RA method is the best (unlikely, but...)
> 
> Lets get the client support and dhcpv6 lite server and relay 
> agents implemented (Itojun said 13K lines of code for all?) 
> and some experience to base future work on.
> 
> Tim
> #-------------------------------------------------------------
> ---------
> # To unsubscribe, send a message to <[email-masked]>.
> 

#----------------------------------------------------------------------
# To unsubscribe, send a message to <[email-masked]>.